Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226704 - Review Request: iasl - Intel acpi compiler
Summary: Review Request: iasl - Intel acpi compiler
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Andreas Bierfert
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-01 00:56 UTC by Till Maas
Modified: 2007-11-30 22:11 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-10 10:43:31 UTC
andreas.bierfert: fedora-review+
petersen: fedora-cvs+


Attachments (Terms of Use)

Description Till Maas 2007-02-01 00:56:20 UTC
Spec URL: http://www-users.kawo2.rwth-aachen.de/~tmaas/fedora/iasl.spec
SRPM URL: http://www-users.kawo2.rwth-aachen.de/~tmaas/fedora/repo/iasl-20061109-1.src.rpm
Description: iasl compiles ASL (ACPI Source Language) into AML (ACPI Machine Language), which is suitable for inclusion as a DSDT in system firmware. It also can disassemble AML, for debugging purposes.

rpmlint complains about the license but this License-tag was suggested on fedora-extras-list, see:

License:        Intel Software License Agreement
# License approval: https://www.redhat.com/archives/fedora-extras-list/2007-January/msg00427.html
# License URL: http://www.intel.com/technology/iapc/acpi/license2.htm

The package builds fine in mock.

The name does not match the tarball because it contains more than just the compiler, that is packaged here.

Comment 1 Roland Wolters 2007-02-12 23:40:03 UTC
Why do you just build iasl? Is there any special reason why you do not take 
the whole package? Maybe the other parts can be useful as well?!

Comment 2 Till Maas 2007-02-14 06:41:42 UTC
(In reply to comment #1)
> Why do you just build iasl? Is there any special reason why you do not take 
> the whole package? Maybe the other parts can be useful as well?!

I made this package because virtualbox ( http://www.virtualbox.org/ ) needs it,
if someone needs the other contents of this package, he may fill a bug report
and I will look into adding the other contents. Debian as well only includes
iasl ( http://packages.debian.org/testing/source/acpica-unix ) 

Comment 3 Gérard Milmeister 2007-02-20 17:31:55 UTC
rpmlint:
E: iasl description-line-too-long iasl compiles ASL (ACPI Source Language) into
AML (ACPI Machine Language), which
- reformat to use less than 70 chars, I guess
W: iasl invalid-license Intel Software License Agreement
W: iasl spurious-executable-perm /usr/share/man/man1/iasl.1.gz
- chmod 0644

I would also package the other utilities if possible.


Comment 4 Till Maas 2007-02-20 18:40:36 UTC
Spec URL: http://www-users.kawo2.rwth-aachen.de/~tmaas/fedora/iasl.spec
SRPM URL:
http://www-users.kawo2.rwth-aachen.de/~tmaas/fedora/repo/iasl-20061109-2.src.rpm

(In reply to comment #3)
> rpmlint:
> E: iasl description-line-too-long iasl compiles ASL (ACPI Source Language) into
> AML (ACPI Machine Language), which
> - reformat to use less than 70 chars, I guess
Fixed, has to be less  that 80 chars, it was excactly 80 chars.

> W: iasl invalid-license Intel Software License Agreement

See the comment in the spec file:
https://www.redhat.com/archives/fedora-extras-list/2007-January/msg00427.html

> W: iasl spurious-executable-perm /usr/share/man/man1/iasl.1.gz
> - chmod 0644

fixed

> I would also package the other utilities if possible.

Do you want to do it or do you use the utitilities? I am not very keen to
package them unless they are very needed. If you want to maintain iasl, you can
have it. Actually I only wanted to include it to Extras because it is needed by
virtualbox, but since I found out that virtualbox needs at least 2 more packages
in fedora it exceeds the amount of work that I have free for this. So if you do
not need iasl or the other contents of the tarball or want to maintain it, I
will close this ticket, soon.

Comment 5 Gérard Milmeister 2007-02-20 19:26:13 UTC
> Do you want to do it or do you use the utitilities?
Not really. I once tried iasl for changing DSDT of my laptop (and failed).

Comment 6 Andreas Bierfert 2007-03-09 15:53:54 UTC
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

 * rpmlint output is ok as license and tag are approved this way:
   W: iasl invalid-license Intel Software License Agreement
 * Package is according to guidelines especially as other distros use iasl as
   name and intel suggest so as well
 * specfile name matches %{name}
 * package is build according to the guidelines 
 * License is ok and approved:
   https://www.redhat.com/archives/fedora-extras-list/2007-January/msg00427.html,
   this is also mentioned in the specfile
 * license field matches actual license
 * specfile seems to be American English
 * spec file is legible
 * source md5sum matches upstream
   [awjb@alkaid] md5sum acpica-unix-20061109.tar.gz /tmp/acpica-unix-20061109.tar.gz
   0ca508dd9bec10fb3b53c72aea6bb6a1  acpica-unix-20061109.tar.gz
   0ca508dd9bec10fb3b53c72aea6bb6a1  /tmp/acpica-unix-20061109.tar.gz
 * builds fine (mock/fc6/x86_64,mock/fc6/i386)
 * build requires look fine
 * package does not have locales
 * no shared libraries in this package
 * package is not designed to be relocatable
 * package does not create any directorys
 * no duplicate files in %files listing
 * permissions on included files are proper
 * package includes clean section
 * use of macros is consistent 
 * content of the package is ok
 * documentation files do not need -doc subpackage
 * doc files do not influence runtime 
 * no header files
 * no static libraries
 * no .pc files
 * no .so files
 * no devel package
 * package does not contain .la files
 * package does not contain a gui application
 * package does not own any directories or files of other packages

As the utils do not seem important and could be added at a later point of time
if they become of any use (compare to debian/gentoo which only has iasl as
well) I consider the package approved.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFF8YLXQEQyPsWM8csRAuj9AJ4t3Oqy9RRsiLmG+CMP4Pi/34p04ACfUy7C
ULRBOR2aZLnW35O3d+bbKO4=
=1y9K
-----END PGP SIGNATURE-----

Comment 7 Till Maas 2007-03-09 22:25:59 UTC
New Package CVS Request
=======================
Package Name: iasl
Short Description: Intel ASL compiler/decompiler
Owners: opensource till name
Branches:
InitialCC: 

Comment 8 Jens Petersen 2007-03-10 02:06:07 UTC
Done

Comment 9 Till Maas 2007-03-10 10:43:31 UTC
For virtualbox also the devel version of yasm is needed, so atm building it for
FC-6 does not help anyone. I will import it in FC-6 when someone really needs it.

sucessfully built for devel:
http://buildsys.fedoraproject.org/logs/fedora-development-extras/29002-iasl-20061109-2.fc7/




Note You need to log in before you can comment on or make changes to this bug.